---
title: BudgetService
slug: Web/API/BudgetService
tags:
  - API
  - BudgetService
  - Interface
  - Reference
  - Web Budget API
---
<p>{{SeeCompatTable}}{{APIRef("Web Budget API")}}{{obsolete_header}}</p>

<p><span class="seoSummary">The <strong><code>BudgetService</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_Budget_API">Web Budget API</a> provides a programmatic interface to the user agent’s budget service. It is available in both document and worker environments.</span></p>

<h2 id="Properties">Properties</h2>

<p>None.</p>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("BudgetService.getCost()")}}</dt>
 <dd>Returns a {{domxref("Promise")}} that resolves to a double, indicating the worst-case background operation cost of the provided background operation.</dd>
 <dt>{{domxref("BudgetService.getBudget()")}}</dt>
 <dd>Returns a {{domxref("Promise")}} that resolves to an array of {{domxref("BudgetState")}} objects, indicating the expected state of the budget at times in the future.</dd>
 <dt>{{domxref("BudgetService.reserve()")}}</dt>
 <dd>Returns a {{domxref("Promise")}} that resolves to a boolean, indicating whether the requested budget operation can be reserved.</dd>
</dl>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.BudgetService")}}</p>
</div>
